var app = getApp();
var $ = require('../../../../js/util.js');
Page({
  data: {
    data: [],
    param: {
      id: 0
    },
    hasMore: false,//无更多数据提示
    dataNull: true//未获取到数据提示
  },
  onLoad: function (options) {//接收上个页面传的参数
    if (options.invite_key) {
      app.globalData.invite_key = options.invite_key;
    }
  },
  onReady: function () {
    //初始化数据
    var self = this;
    self.getIndex();
  },
  getIndex: function () {
    var self = this;
    var action = 'c=Member&a=sign_rule';
    app.showLoading('加载中...');
    app.ajaxRequest(action, 'GET', '', function (ret) {
      if (ret.status == 1) {
        self.setData({
          data: ret.data
        });
      } else {
        app.HCerror(ret.msg);
      }
    });
  },
})